﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{Model.ReportName}} Report
            </h1>
        </div>
        <div class="actions">
            @*<a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Print">
                    <i style="margin-top: 11px;" class="icon-printer fg-black"></i>
                </a>*@
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" ng-click="saveToExcel()" title="Export to Excel" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Share Report" ng-click="shareReport()">
                <i style="margin-top: 11px;" class="fg-black icon-share-2"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Email Participants" ng-click="MakeCampaign()">
                <i style="margin-top: 11px;" class="fg-black jbi-email"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    @*<span ng-init="advancedSearch = false" class="default button place-right" ng-click="advancedSearch = !advancedSearch">Filters</span>*@
    <div class="clearfix"></div>

    <div ng-include="'/Dashboard/CustomReport/BaseFilters'"></div>
    <div class="clearfix"></div>
    <input class="button primary place-right" type="submit" value="Submit" ng-click="filterData()">
    <input class="button link place-right on-left-more" type="submit" value="Clear filters" ng-click="clearFilters()">
    <br />
    <div class="clearfix"></div>
    <hr />
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div ng-if="Model.reportType == 'Registration'">
            <div class="title" ng-if='Model.HasHeader && Model.SingleProgramMode'>
                <h4>{{Model.Header.SeasonName}}: {{Model.Header.ProgramName}} </h4>
                <h4>{{Model.Header.Days}}</h4>
                <h4>Room: {{Model.Header.RoomAssignment}}</h4>
                <h4>{{Model.Header.Date}}</h4>
            </div>
            <div class="title" ng-if='Model.HasHeader && !Model.SingleProgramMode'>

                <h4>{{Model.Header.SeasonName}}, {{Model.Header.ReportName}}</h4>
                <h4>{{Model.Header.Date}} </h4>

            </div>
        </div>
        <div ng-if="Model.reportType == 'Parent'">
            <div class="title" ng-show='Model.SingleProgramMode'>
                <h4>{{Model.Header.SeasonName}}<span ng-show="Model.Header.ProgramName != ''">: </span> {{Model.Header.ProgramName}} </h4>
                <h4>{{Model.ReportName}} - {{Model.Header.Date}}</h4>
            </div>
            <div class="title" ng-show='!Model.SingleProgramMode'>

                <h4>{{Model.Header.SeasonName}}</h4>
                <h4> {{Model.ReportName}} - {{Model.Header.Date}} </h4>

            </div>
        </div>

        <div class="wrapper1">
            <div class="wrapper-inner1">
                <div class="div1"></div>
            </div>
        </div>

        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="customReportGrid" scroll options="customReportGridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</div>